summaryrefslogtreecommitdiffstats
path: root/installer/opengnsys_update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'installer/opengnsys_update.sh')
-rwxr-xr-xinstaller/opengnsys_update.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/installer/opengnsys_update.sh b/installer/opengnsys_update.sh
index bd689008..11c64a8e 100755
--- a/installer/opengnsys_update.sh
+++ b/installer/opengnsys_update.sh
@@ -52,8 +52,13 @@ if [ ! -d $INSTALL_TARGET ]; then
echo "ERROR: OpenGnsys is not installed, cannot update!!"
exit 1
fi
+
+source $INSTALL_TARGET/lib/ogfunctions.sh || exit 1
+
# Cargar configuraciĆ³n de acceso a la base de datos.
-if [ -r $INSTALL_TARGET/etc/ogserver.cfg ]; then
+if [ -r $INSTALL_TARGET/etc/ogserver.json ]; then
+ source_json_config $INSTALL_TARGET/etc/ogserver.json
+elif [ -r $INSTALL_TARGET/etc/ogserver.cfg ]; then
source $INSTALL_TARGET/etc/ogserver.cfg
elif [ -r $INSTALL_TARGET/etc/ogAdmServer.cfg ]; then
source $INSTALL_TARGET/etc/ogAdmServer.cfg